Brokerage reports
OpenAPI 1.0.0
Заказ, просмотр и скачивание брокерских отчётов
Варианты
- Public
Операции API
GET /v1/reports/files/download/{fileId} — Download a brokerage report file
Метод потоково возвращает содержимое сформированного файла отчёта; имя файла передаётся в заголовке Content-Disposition
{
"description": "Метод потоково возвращает содержимое сформированного файла отчёта; имя файла передаётся в заголовке Content-Disposition",
"operationId": "downloadReportFile",
"parameters": [
{
"$ref": "#/components/parameters/ReportFileIdPathParam"
},
{
"$ref": "#/components/parameters/CnumParam"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/octet-stream": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "Содержимое файла отчёта"
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"accessToken": []
},
{
"idToken": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/brokerage"
}
],
"summary": "Download a brokerage report file",
"tags": [
"brokerage-reports"
]
}GET /v1/reports/tasks — Get brokerage report tasks
Метод возвращает задачи на формирование брокерских отчётов с фильтрацией
{
"description": "Метод возвращает задачи на формирование брокерских отчётов с фильтрацией",
"operationId": "getReportTasks",
"parameters": [
{
"$ref": "#/components/parameters/CnumParam"
},
{
"$ref": "#/components/parameters/ReportTypeParam"
},
{
"$ref": "#/components/parameters/AgreementNumberParam"
},
{
"$ref": "#/components/parameters/AccountParam"
},
{
"$ref": "#/components/parameters/FromDateParam"
},
{
"$ref": "#/components/parameters/ToDateParam"
},
{
"$ref": "#/components/parameters/ReportTaskStatusParam"
},
{
"$ref": "#/components/parameters/PageNumberParam"
},
{
"$ref": "#/components/parameters/PageSizeParam"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ReportTaskListResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ReportTaskListResponse"
}
}
},
"description": "Список задач на формирование отчётов"
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"accessToken": []
},
{
"idToken": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/brokerage"
}
],
"summary": "Get brokerage report tasks",
"tags": [
"brokerage-reports"
]
}POST /v1/reports/tasks — Create a brokerage report task
Метод создаёт задачу на формирование брокерского отчёта
{
"description": "Метод создаёт задачу на формирование брокерского отчёта",
"operationId": "createReportTask",
"parameters": [
{
"$ref": "#/components/parameters/CnumParam"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ReportTaskCreateRequestExample"
}
},
"schema": {
"$ref": "#/components/schemas/ReportTaskCreateRequest"
}
}
},
"description": "Параметры задачи на формирование отчёта",
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ReportTaskResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ReportTask"
}
}
},
"description": "Созданная задача на формирование отчёта"
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"accessToken": []
},
{
"idToken": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/brokerage"
}
],
"summary": "Create a brokerage report task",
"tags": [
"brokerage-reports"
]
}GET /v1/reports/tasks/{taskId} — Get a brokerage report task by ID
Метод возвращает задачу на формирование отчёта по идентификатору
{
"description": "Метод возвращает задачу на формирование отчёта по идентификатору",
"operationId": "getReportTask",
"parameters": [
{
"$ref": "#/components/parameters/ReportTaskIdPathParam"
},
{
"$ref": "#/components/parameters/CnumParam"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ReportTaskResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ReportTask"
}
}
},
"description": "Задача на формирование отчёта"
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"accessToken": []
},
{
"idToken": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/brokerage"
}
],
"summary": "Get a brokerage report task by ID",
"tags": [
"brokerage-reports"
]
}GET /v1/reports/types — Get available brokerage report types
Метод возвращает доступные типы отчётов, признак обязательности счёта, допустимые и используемые по умолчанию типы файлов
{
"description": "Метод возвращает доступные типы отчётов, признак обязательности счёта, допустимые и используемые по умолчанию типы файлов",
"operationId": "getReportTypes",
"parameters": [
{
"$ref": "#/components/parameters/CnumParam"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ReportTypesResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ReportTaskTypeListResponse"
}
}
},
"description": "Доступные типы отчётов"
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"accessToken": []
},
{
"idToken": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/brokerage"
}
],
"summary": "Get available brokerage report types",
"tags": [
"brokerage-reports"
]
}Схемы и примеры
{
"examples": {
"ErrorResponseExample": {
"description": "ErrorResponse",
"summary": "Пример ошибки",
"value": {
"code": "VALIDATION_ERROR",
"errors": null,
"message": "Параметры запроса не прошли проверку",
"traceId": "4bf92f3577b34da6a3ce929d0e0e4736"
}
},
"ReportTaskCreateRequestExample": {
"description": "ReportTaskCreateRequest",
"summary": "Пример создания задачи на формирование отчёта",
"value": {
"account": "BROKER_ACCOUNT",
"agreementNumber": "35463",
"fileTypes": [
"SIMPLE_DOCUMENTARY",
"PRINTED_FORM"
],
"fromDate": "2026-09-01",
"handleIfExists": false,
"reportType": "BROKERAGE_REPORT",
"toDate": "2026-09-25"
}
},
"ReportTaskListResponseExample": {
"description": "ReportTaskList",
"summary": "Пример списка задач на формирование отчётов",
"value": [
{
"account": "BROKER_ACCOUNT",
"agreementNumber": "35463",
"createdAt": "2026-09-28T10:15:30",
"fileId": null,
"files": [
{
"fileName": "brokerage-report.pdf",
"fileType": "SIMPLE_DOCUMENTARY",
"id": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"nameEng": "Main document",
"nameRus": "Основной документ",
"signatureType": {
"code": "NONE",
"nameEng": "No signature",
"nameRus": "Без подписи"
}
}
],
"handleIfExists": false,
"id": "19229514-5821-11f0-9fe2-0242ac120002",
"periodFrom": "2026-09-01",
"periodTo": "2026-09-25",
"printedFormFileId": null,
"reportType": {
"desc": "Брокерский отчёт",
"type": "BROKERAGE_REPORT"
},
"source": "PUBLIC_API_GATEWAY",
"status": "DONE",
"updatedAt": "2026-09-28T10:16:45"
}
]
},
"ReportTaskResponseExample": {
"description": "ReportTask",
"summary": "Пример задачи на формирование отчёта",
"value": {
"account": "BROKER_ACCOUNT",
"agreementNumber": "35463",
"createdAt": "2026-09-28T10:15:30",
"fileId": null,
"files": [
{
"fileName": "brokerage-report.pdf",
"fileType": "SIMPLE_DOCUMENTARY",
"id": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"nameEng": "Main document",
"nameRus": "Основной документ",
"signatureType": {
"code": "NONE",
"nameEng": "No signature",
"nameRus": "Без подписи"
}
}
],
"handleIfExists": false,
"id": "19229514-5821-11f0-9fe2-0242ac120002",
"periodFrom": "2026-09-01",
"periodTo": "2026-09-25",
"printedFormFileId": null,
"reportType": {
"desc": "Брокерский отчёт",
"type": "BROKERAGE_REPORT"
},
"source": "PUBLIC_API_GATEWAY",
"status": "DONE",
"updatedAt": "2026-09-28T10:16:45"
}
},
"ReportTypesResponseExample": {
"description": "ReportTaskTypeList",
"summary": "Пример доступных типов отчётов",
"value": [
{
"allowedFileTypes": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
},
{
"nameEng": "Printed form",
"nameRus": "Печатная форма",
"type": "PRINTED_FORM"
}
],
"defaultFileTypes": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
}
],
"desc": "Брокерский отчёт",
"isUseAccountParameter": false,
"type": "BROKERAGE_REPORT"
}
]
}
},
"parameters": {
"AccountParam": {
"description": "Номер счёта",
"example": "BROKER_ACCOUNT",
"in": "query",
"name": "account",
"required": false,
"schema": {
"example": "BROKER_ACCOUNT",
"type": "string"
}
},
"AgreementNumberParam": {
"description": "Номер брокерского договора",
"example": "35463",
"in": "query",
"name": "agreementNumber",
"required": false,
"schema": {
"example": "35463",
"type": "string"
}
},
"AuthorizationHeader": {
"description": "Токен доступа",
"in": "header",
"name": "Authorization",
"required": true,
"schema": {
"example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
"format": "byte",
"type": "string"
}
},
"CnumParam": {
"description": "Идентификатор организации клиента; если не указан, используется единственная доступная организация",
"example": "Z35146",
"in": "query",
"name": "cnum",
"required": false,
"schema": {
"example": "Z35146",
"type": "string"
}
},
"FromDateParam": {
"description": "Начало периода отчёта",
"example": "2026-09-01",
"in": "query",
"name": "fromDate",
"required": false,
"schema": {
"example": "2026-09-01",
"format": "date",
"type": "string"
}
},
"IdTokenHeader_1": {
"description": "Идентификационный токен пользователя",
"in": "header",
"name": "Id-Token",
"required": true,
"schema": {
"example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
"format": "byte",
"type": "string"
}
},
"PageNumberParam": {
"description": "Номер страницы, начиная с нуля",
"example": 0,
"in": "query",
"name": "page",
"required": false,
"schema": {
"default": 0,
"example": 0,
"format": "int32",
"minimum": 0,
"type": "integer"
}
},
"PageSizeParam": {
"description": "Количество элементов на странице",
"example": 10,
"in": "query",
"name": "size",
"required": false,
"schema": {
"default": 10,
"example": 10,
"format": "int32",
"minimum": 1,
"type": "integer"
}
},
"ReportFileIdPathParam": {
"description": "Идентификатор файла отчёта",
"example": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"in": "path",
"name": "fileId",
"required": true,
"schema": {
"$ref": "#/components/schemas/ReportFileId"
}
},
"ReportTaskIdPathParam": {
"description": "Идентификатор задачи на формирование отчёта",
"example": "19229514-5821-11f0-9fe2-0242ac120002",
"in": "path",
"name": "taskId",
"required": true,
"schema": {
"$ref": "#/components/schemas/ReportTaskId"
}
},
"ReportTaskStatusParam": {
"description": "Статус задачи",
"example": "DONE",
"in": "query",
"name": "status",
"required": false,
"schema": {
"$ref": "#/components/schemas/ReportTaskStatus"
}
},
"ReportTypeParam": {
"description": "Тип отчёта",
"example": "BROKERAGE_REPORT",
"in": "query",
"name": "reportType",
"required": false,
"schema": {
"$ref": "#/components/schemas/ReportType"
}
},
"ToDateParam": {
"description": "Окончание периода отчёта",
"example": "2026-09-25",
"in": "query",
"name": "toDate",
"required": false,
"schema": {
"example": "2026-09-25",
"format": "date",
"type": "string"
}
}
},
"responses": {
"BadRequest": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ErrorResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Некорректный запрос"
},
"Forbidden": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ErrorResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Недостаточно прав для выполнения операции"
},
"InternalError": {
"description": "Внутренняя ошибка"
},
"NotFound": {
"content": {
"application/json": {
"examples": {
"simple": {
"$ref": "#/components/examples/ErrorResponseExample"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Задача или файл отчёта не найдены"
},
"Unauthorized": {
"description": "Аутентификация не пройдена"
}
},
"schemas": {
"ErrorResponse": {
"properties": {
"code": {
"description": "Error code",
"example": "VALIDATION_ERROR",
"type": "string"
},
"errors": {
"additionalProperties": {
"type": "string"
},
"description": "Error details by fields",
"example": null,
"nullable": true,
"type": "object"
},
"message": {
"description": "Error description",
"example": "Параметры запроса не прошли проверку",
"type": "string"
},
"traceId": {
"description": "Request trace ID",
"example": "4bf92f3577b34da6a3ce929d0e0e4736",
"type": "string"
}
},
"required": [
"code",
"message"
],
"type": "object"
},
"ReportFile": {
"properties": {
"fileName": {
"description": "File name",
"example": "brokerage-report.pdf",
"nullable": true,
"type": "string"
},
"fileType": {
"$ref": "#/components/schemas/ReportFileTypeCode"
},
"id": {
"$ref": "#/components/schemas/ReportFileId"
},
"nameEng": {
"description": "File type name in English",
"example": "Main document",
"type": "string"
},
"nameRus": {
"description": "File type name in Russian",
"example": "Основной документ",
"type": "string"
},
"signatureType": {
"$ref": "#/components/schemas/SignatureType"
}
},
"type": "object"
},
"ReportFileId": {
"description": "Report file ID",
"example": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"format": "uuid",
"type": "string"
},
"ReportFileType": {
"properties": {
"nameEng": {
"description": "File type name in English",
"example": "Main document",
"type": "string"
},
"nameRus": {
"description": "File type name in Russian",
"example": "Основной документ",
"type": "string"
},
"type": {
"$ref": "#/components/schemas/ReportFileTypeCode"
}
},
"type": "object"
},
"ReportFileTypeCode": {
"description": "Report file type code",
"enum": [
"SIMPLE_DOCUMENTARY",
"PRINTED_FORM",
"QES",
"FACSIMILE"
],
"example": "SIMPLE_DOCUMENTARY",
"type": "string"
},
"ReportTask": {
"properties": {
"account": {
"description": "Account number",
"example": "BROKER_ACCOUNT",
"nullable": true,
"type": "string"
},
"agreementNumber": {
"description": "Brokerage agreement number",
"example": "35463",
"type": "string"
},
"createdAt": {
"description": "Task creation date and time",
"example": "2026-09-28T10:15:30",
"format": "date-time",
"type": "string"
},
"fileId": {
"deprecated": true,
"description": "Deprecated primary file ID; use files instead",
"example": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"format": "uuid",
"nullable": true,
"type": "string"
},
"files": {
"description": "Generated report files",
"example": [
{
"fileName": "brokerage-report.pdf",
"fileType": "SIMPLE_DOCUMENTARY",
"id": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"nameEng": "Main document",
"nameRus": "Основной документ",
"signatureType": {
"code": "NONE",
"nameEng": "No signature",
"nameRus": "Без подписи"
}
}
],
"items": {
"$ref": "#/components/schemas/ReportFile"
},
"type": "array"
},
"handleIfExists": {
"description": "Regeneration option applied to the task: false reuses an existing result for the same period; true regenerates the report",
"example": false,
"type": "boolean"
},
"id": {
"$ref": "#/components/schemas/ReportTaskId"
},
"periodFrom": {
"description": "Report period start date",
"example": "2026-09-01",
"format": "date",
"type": "string"
},
"periodTo": {
"description": "Report period end date",
"example": "2026-09-25",
"format": "date",
"type": "string"
},
"printedFormFileId": {
"deprecated": true,
"description": "Deprecated printed form file ID; use files instead",
"example": null,
"format": "uuid",
"nullable": true,
"type": "string"
},
"reportType": {
"$ref": "#/components/schemas/ReportTypeInfo"
},
"source": {
"$ref": "#/components/schemas/ReportTaskSource"
},
"status": {
"$ref": "#/components/schemas/ReportTaskStatus"
},
"updatedAt": {
"description": "Task last update date and time",
"example": "2026-09-28T10:16:45",
"format": "date-time",
"type": "string"
}
},
"type": "object"
},
"ReportTaskCreateRequest": {
"properties": {
"account": {
"description": "Account number if required for the selected report type",
"example": "BROKER_ACCOUNT",
"nullable": true,
"type": "string"
},
"agreementNumber": {
"description": "Brokerage agreement number",
"example": "35463",
"type": "string"
},
"fileTypes": {
"description": "File type codes from allowedFileTypes; defaultFileTypes are used when omitted or empty",
"example": [
"SIMPLE_DOCUMENTARY"
],
"items": {
"$ref": "#/components/schemas/ReportFileTypeCode"
},
"type": "array"
},
"fromDate": {
"description": "Report period start date",
"example": "2026-09-01",
"format": "date",
"type": "string"
},
"handleIfExists": {
"default": false,
"description": "Whether to regenerate a report when one already exists for the same period: false reuses the existing result; true regenerates the report",
"example": false,
"type": "boolean"
},
"reportType": {
"$ref": "#/components/schemas/ReportType"
},
"toDate": {
"description": "Report period end date",
"example": "2026-09-25",
"format": "date",
"type": "string"
}
},
"required": [
"reportType",
"agreementNumber",
"fromDate",
"toDate"
],
"type": "object"
},
"ReportTaskId": {
"description": "Report task ID",
"example": "19229514-5821-11f0-9fe2-0242ac120002",
"format": "uuid",
"type": "string"
},
"ReportTaskListResponse": {
"description": "Список задач на формирование отчётов",
"example": [
{
"account": "BROKER_ACCOUNT",
"agreementNumber": "35463",
"createdAt": "2026-09-28T10:15:30",
"fileId": null,
"files": [
{
"fileName": "brokerage-report.pdf",
"fileType": "SIMPLE_DOCUMENTARY",
"id": "30dcde3a-b26f-435b-93a5-2bbaaca1ddbf",
"nameEng": "Main document",
"nameRus": "Основной документ",
"signatureType": {
"code": "NONE",
"nameEng": "No signature",
"nameRus": "Без подписи"
}
}
],
"handleIfExists": false,
"id": "19229514-5821-11f0-9fe2-0242ac120002",
"periodFrom": "2026-09-01",
"periodTo": "2026-09-25",
"printedFormFileId": null,
"reportType": {
"desc": "Брокерский отчёт",
"type": "BROKERAGE_REPORT"
},
"source": "PUBLIC_API_GATEWAY",
"status": "DONE",
"updatedAt": "2026-09-28T10:16:45"
}
],
"items": {
"$ref": "#/components/schemas/ReportTask"
},
"type": "array"
},
"ReportTaskSource": {
"description": "Task creation source",
"enum": [
"RBO",
"PUBLIC_API_GATEWAY"
],
"example": "PUBLIC_API_GATEWAY",
"type": "string"
},
"ReportTaskStatus": {
"description": "Report task status",
"enum": [
"NEW",
"IN_PROGRESS",
"FAILED",
"DONE"
],
"example": "DONE",
"type": "string"
},
"ReportTaskType": {
"properties": {
"allowedFileTypes": {
"description": "Allowed file types whose type values can be used when creating a task",
"example": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
},
{
"nameEng": "Printed form",
"nameRus": "Печатная форма",
"type": "PRINTED_FORM"
}
],
"items": {
"$ref": "#/components/schemas/ReportFileType"
},
"type": "array"
},
"defaultFileTypes": {
"description": "File types generated by default when fileTypes is omitted or empty",
"example": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
}
],
"items": {
"$ref": "#/components/schemas/ReportFileType"
},
"type": "array"
},
"desc": {
"description": "Report type description",
"example": "Брокерский отчёт",
"type": "string"
},
"isUseAccountParameter": {
"description": "Whether account is required when creating a task",
"example": false,
"type": "boolean"
},
"type": {
"$ref": "#/components/schemas/ReportType"
}
},
"required": [
"type",
"desc"
],
"type": "object"
},
"ReportTaskTypeListResponse": {
"description": "Доступные типы отчётов",
"example": [
{
"allowedFileTypes": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
},
{
"nameEng": "Printed form",
"nameRus": "Печатная форма",
"type": "PRINTED_FORM"
}
],
"defaultFileTypes": [
{
"nameEng": "Main document",
"nameRus": "Основной документ",
"type": "SIMPLE_DOCUMENTARY"
}
],
"desc": "Брокерский отчёт",
"isUseAccountParameter": false,
"type": "BROKERAGE_REPORT"
}
],
"items": {
"$ref": "#/components/schemas/ReportTaskType"
},
"type": "array"
},
"ReportType": {
"description": "Report type",
"enum": [
"STATEMENT_FOR_1C",
"BROKERAGE_REPORT"
],
"example": "BROKERAGE_REPORT",
"type": "string"
},
"ReportTypeInfo": {
"description": "Report type with description",
"example": {
"desc": "Брокерский отчёт",
"type": "BROKERAGE_REPORT"
},
"properties": {
"desc": {
"description": "Report type description",
"example": "Брокерский отчёт",
"type": "string"
},
"type": {
"$ref": "#/components/schemas/ReportType"
}
},
"required": [
"type",
"desc"
],
"type": "object"
},
"SignatureType": {
"description": "Report file signature type",
"properties": {
"code": {
"$ref": "#/components/schemas/SignatureTypeCode"
},
"nameEng": {
"description": "Signature type name in English",
"example": "No signature",
"type": "string"
},
"nameRus": {
"description": "Signature type name in Russian",
"example": "Без подписи",
"type": "string"
}
},
"type": "object"
},
"SignatureTypeCode": {
"description": "Signature type code",
"enum": [
"NONE",
"QES",
"FACSIMILE"
],
"example": "NONE",
"type": "string"
}
},
"securitySchemes": {
"RaifApiAuthorization": {
"scheme": "bearer",
"type": "http"
},
"RaifApiIdToken": {
"in": "header",
"name": "Id-Token",
"type": "apiKey"
},
"accessToken": {
"bearerFormat": "JWT",
"scheme": "bearer",
"type": "http"
},
"idToken": {
"in": "header",
"name": "Id-Token",
"type": "apiKey"
}
}
}